#
# spec file for package telnet
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           telnet
License:        BSD3c
Group:          Productivity/Networking/Other
Provides:       nkitb:/usr/bin/telnet
AutoReqProv:    on
Version:        1.2
Release:        150.153.1
Summary:        A client program for the telnet remote login protocol
BuildRequires:  ncurses-devel
Requires:       netcfg
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         telnet-bsd-%version.tar.bz2
Source1:        telnet.xinetd
Source2:        telnet.firewall
Patch1:         %{name}-bsd-1.2-suppress_hostname.patch
Patch2:         %{name}-bsd-%{version}-man-page.patch
Patch3:         telnet-bsd-1.2-no_gethostbyname.patch
#PATCH-FIX-UPSTREAM fix crash when using -b option bnc#700229
Patch4:         telnet-bsd-1.2-hostalias.patch

%description
Telnet is an old protocol for logging into remote systems.  It is
rarely used, since the transfer is not encrypted (ssh is mostly used
these days).  The telnet client is often used for debugging other
network services. The command

telnet localhost 25

connects to the local smtp server, for example.



%package server
License:        BSD3c
Summary:        A Server Program for the Telnet Remote Login Protocol
Group:          Productivity/Networking/Other
Requires:       netcfg xinetd
Provides:       nkitserv:/usr/sbin/in.telnetd
Obsoletes:      nkitserv

%description server
Telnet is a popular protocol for logging into remote systems. This
package provides the telnet daemon, which will allow remote logins into
this machine.



%prep
%setup -q -n telnet-bsd-%version
%patch1 -p1
%patch2
%patch3
%patch4 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fpie $(ncurses5-config --cflags)"
export LDFLAGS="-pie $(ncurses5-config --libs)"
./configure
make

%install
export NO_BRP_STRIP_DEBUG=true
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT/etc/xinetd.d
install -d -m 755 $RPM_BUILD_ROOT%_mandir/man1
install -d -m 755 $RPM_BUILD_ROOT%_mandir/man5
install -d -m 755 $RPM_BUILD_ROOT%_mandir/man8
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 %{S:1} $RPM_BUILD_ROOT/etc/xinetd.d/telnet
install -d $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/
install -m 644 %{S:2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{name}-server

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README NEWS
%attr(755,root,root) /usr/bin/telnet
%doc %_mandir/man1/telnet.1.gz

%files server
%defattr(644,root,root,755)
%doc COPYING ChangeLog README NEWS
%doc %_mandir/man8/in.telnetd.8.gz
%doc %_mandir/man8/telnetd.8.gz
%doc %_mandir/man5/issue.net.5.gz
%config(noreplace) /etc/xinetd.d/telnet
%attr(755,root,root) /usr/sbin/in.telnetd
%config %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{name}-server

%changelog
* Tue Jul 12 2011 vcizek@novell.com
- made manpage more clear about the -b option
* Thu Jun 30 2011 vcizek@novell.com
- exit cleanly, when hostalias cannot be resolved (bnc#700229)
* Wed Sep 30 2009 crrodriguez@opensuse.org
- telnet-server does require xinetd
* Fri May 22 2009 crrodriguez@suse.de
- do not use gethostbyname(3) but getaddrinfo(3) patch by Ulrich Drepper.
* Sat Aug 30 2008 cthiel@suse.de
- fix build with latests ncurses
* Wed Apr  9 2008 jsrain@suse.cz
- fixed description for ports information for SuSEfirewall
  (bnc #373969)
* Mon Jan  7 2008 mskibbe@suse.de
- Bug 351197 - several packages use wrong dir for SuSEfirewall2
  services files
* Thu Mar 29 2007 dmueller@suse.de
- add ncurses-devel BuildRequires
* Fri Mar  2 2007 mskibbe@suse.de
- telnet-server : Support for FATE #300687: Ports for SuSEfirewall
  added via packages (#250570)
* Mon Dec  4 2006 mskibbe@suse.de
- fix Bug #224847(telnet man page does not mention DEFAULT for
  .telnetrc)
* Fri May 19 2006 kssingvo@suse.de
- added option -H to suppress hostname (bugzilla#175376)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jun 16 2005 mmj@suse.de
- Compile with -fpie, link with -pie
* Thu Jun  2 2005 kukuk@suse.de
- Update to version 1.2 (-fpie/-pie support, latest security fixes)
* Tue Apr  5 2005 mmj@suse.de
- execl(..., 0) -> execl(..., NULL)
* Fri Jun 11 2004 mmj@suse.de
- Apply patch to avoid deadlock [#41864]
* Wed Feb 25 2004 schwab@suse.de
- Make sure _POSIX_VDISABLE is properly defined.
* Sat Feb 14 2004 kukuk@suse.de
- Update to telnet-bsd 1.1:
  - Fix -L option
  - Fix missing prototypes
  - Merge all patches
* Thu Oct 16 2003 mmj@suse.de
- Don't build as root
* Tue May 13 2003 mmj@suse.de
- Use %%defattr
* Fri Mar  7 2003 ro@suse.de
- remove empty server_args line in xinetd config file
* Fri Jan 24 2003 mmj@suse.de
- Dont use permission 755 for the xinetd file
* Fri Jan 24 2003 mmj@suse.de
- Add xinetd configuration file
* Wed Dec  4 2002 mmj@suse.de
- Fix one version of strcpy, gotten from the OpenBSD tree
* Wed Feb 13 2002 mmj@suse.de
- Increased the temporary buffer size in telnet to fix problem
  with long hostnames when telnetting to a Solaris box.
* Tue Aug 14 2001 kukuk@suse.de
- Add more fixes for possible security problems
* Fri Jul 27 2001 kukuk@suse.de
- Add fix for possible problems with buffer overruns
* Mon Apr  2 2001 kukuk@suse.de
- Add Obsolete for nkitserv
* Thu Mar 22 2001 ro@suse.de
- added split-aliases as provides
* Tue Mar 13 2001 kukuk@suse.de
- Initial package, split from nkitb
